// Wire Master Writer
// by Nicholas Zambetti <http://www.zambetti.com>

// Demonstrates use of the Wire library
// Writes data to an I2C/TWI slave device
// Refer to the "Wire Slave Receiver" example for use with this

// Created 29 March 2006

// This example code is in the public domain.


#include <Wire.h>

byte data[1000];
int  i; 
unsigned long time, delta;


void setup()
{
    Serial.begin (9600);
    
  Serial.println ("Start initialization");
  Wire.begin(); // join i2c bus (address optional for master)
  for (i=0; i <1000; i++) data[i]='x';
   Serial.println ("End initialization");
 
  i=1;
}


void loop()
{
  time = micros();
  Wire.beginTransmission(4); // transmit to device #4
  Wire.write(data, i);              // sends one byte  
  Wire.endTransmission();    // stop transmitting
  delta = micros() - time;
  
  Serial.print (i); Serial.print (": "); Serial.println(delta); 

  i++;
  delay(500);
}
